Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert.converters
Class StringToEnum

    java.lang.Object
      org.springframework.binding.convert.converters.StringToObject
          org.springframework.binding.convert.converters.StringToEnum

All Implemented Interfaces:
  Converter, TwoWayConverter

    public class StringToEnum

extends StringToObject

Converts from a textual representation to a `Enum`. The text should be the enum's label.

Author:
  Scott Andrews

Constructor Summary
`StringToEnum()`

Method Summary
`protected java.lang.Object` | `toObject(java.lang.String string, java.lang.Class targetClass)`
`protected java.lang.String` | `toString(java.lang.Object object)`

Methods inherited from class org.springframework.binding.convert.converters.StringToObject
`convertSourceToTargetClass, convertTargetToSourceClass, getSourceClass, getTargetClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToEnum

    public StringToEnum()

Method Detail

### toObject

    protected java.lang.Object toObject(java.lang.String string,
                                        java.lang.Class targetClass)
                                 throws java.lang.Exception

  Specified by:
    `toObject` in class `StringToObject`
  Throws:
    `java.lang.Exception`

### toString

    protected java.lang.String toString(java.lang.Object object)
                                 throws java.lang.Exception

  Specified by:
    `toString` in class `StringToObject`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD